import { IKameleoonData, VisitDataType, VisitsDataType } from './types';
import { TrackingStatus } from '../types';
/**
 * @class
 * Visits - a class for creating an instance of a stored visits data
 * */
export declare class VisitsData implements IKameleoonData {
    private visits;
    private visitNumber;
    status: TrackingStatus;
    /**
     * @param {number[]} visits - a list of visits
     * */
    constructor(visits: VisitDataType[]);
    get url(): string;
    get data(): VisitsDataType;
    get isSent(): boolean;
    /**
     * Adds a single timestamp while ensuring the list remains sorted and unique
     * @param {VisitDataType} visit - The visit data to be added
     */
    set timestamp(visit: VisitDataType);
    updateVisitNumber(visitNumber: number): void;
}
