import { TrackerParametersType } from './types';
export interface ITracker {
    scheduleVisitor: (visitorCode: string, isConsentProvided: boolean) => void;
}
export declare class Tracker implements ITracker {
    private dataManager;
    private variationConfiguration;
    private requester;
    private bodyProvider;
    private intervalId;
    private trackingStorage;
    constructor({ dataManager, trackingStorage, variationConfiguration, trackingInterval, requester, prng, }: TrackerParametersType);
    scheduleVisitor(visitorCode: string, isConsentProvided: boolean): void;
    private checkIsIdentifier;
    private getUserAgent;
    sendDataAll(): Promise<void>;
    sendDataForVisitor(visitorCode: string, isConsentProvided: boolean): Promise<void>;
    private sendData;
    private addNotTrackedVisitors;
    private updateDataStatus;
    private getUnsentVisitorData;
    private getUnsentVariationData;
}
